var index = 
{
  "titles": {
    "title": "Arm Education Kit",
    "libname": "NXP LPC1115 LPCXpresso Board Edition (Early Access Version)",
    "libtype": "Embedded Systems Design Education Kit"
  },
  "headers": [
    {
      "name": "Lecture Presentation",
      "column": "modules"
    },
    {
      "name": "Lab Exercises",
      "column": "exercises"
    }
  ],
  "modules": [
    [
      {
        "column": "modules",
        "name": "Module 1: Introduction to Embedded Systems Design",
        "link": "Contents/1.Introduction/Introduction.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        "link": "Contents/1.Introduction/Introduction Exercise Solutions.docx"
      }
    ],

    [
      {
        "column": "modules",
        "name": "Module 2: Software Design Basics: Concurrency, Software Engineering and CMSIS APIs",
        "link": "Contents/2.SW Design Basics/SW Design Basics.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        "link": "Contents/2.SW Design Basics/SW Design Basics Exercise Solutions.docx"
      }
    ], 
	
    [
      {
        "column": "modules",
        "name": "Module 3: Cortex-M0+ Processor Core",
        //"link": "Contents/Module_3/03_-_Introduction_to_Embedded_Systems.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Lab Manual",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Lab Code",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Assignment",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Starter Code",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Code Solution",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      }
    ],
	
	[
      {
        "column": "modules",
        "name": "Module 4: C Code as Implemented in Assembly Language",
       // "link": "Contents/Module_4/04_-_Hardware_Platforms_for_IoT.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name":"Demo Code 1",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Demo Code 2",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Lab Exercise",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Code",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      }
    ],
		
	[
      {
        "column": "modules",
        "name": "Module 5: Interrupts",
        //"link": "Contents/Module_5/05_-_The_Arm_Cortex-M4_Processor_Architecture.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Spreadsheet",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name":"Interrupt Demo Code",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Lab Exercise",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Assignment",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Solution",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      }
    ],
	[
      {
        "column": "modules",
        "name": "Module 6: General Purpose Digital Interfacing",
        "link": "Contents/6.GPIO/GPIO.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        "link": "Contents/6.GPIO/GPIO Exercise Solutions.docx"
      },
      {
        "column": "exercises",
        "name":"Demo Code",
        "link": "Contents/6.GPIO/code/GPIODemos.zip"
      },
      {
        "column": "exercises",
        "name": "Lab Exercise",
        "link": "Contents/6.GPIO/GPIO Lab Exercise - Basic User Interface.docx"
      }
    ],	
	
	 
    [
      {
        "column": "modules",
        "name": "Module 7: Analog Interfacing",
        //"link": "Contents/Module_7/07_-_Introduction_to_the_Mbed_Platform.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework",
        //"link": "Contents/module6/GPIOExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Solutions",
        //"link": "Contents/module6/GPIOExerciseGenerator.xlsx"
      },
      {
        "column": "exercises",
        "name":"Demo Code",
        //"link": "Contents/module6/Code/GPIODemo.zip"
      },
      
      {
        "column": "exercises",
        "name": "Assignment (Infraed Proximity Sensor)",
        //"link": "Contents/module6/GPIOProjectSlideWhistle.docx"
      },
      {
        "column": "exercises",
        "name": "Solution",
        //"link": "Contents/module6/Code/GPIOProjectSlideWhistle.zip"
      }
    ],
	[
      {
        "column": "modules",
        "name": "Module 8: Timers",
        //"link": "Contents/Module_8/08_-_IoT_Connectivity__Part_I.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Demo Code",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Assignment",
        //"link": "Contents/module6/GPIOProjectSlideWhistle.docx"
      },
      {
        "column": "exercises",
        "name": "Solution",
        //"link": "Contents/module6/Code/GPIOProjectSlideWhistle.zip"
      }
    ],
	
	[
      {
        "column": "modules",
        "name": "Module 9: Serial Communication",
        //"link": "Contents/Module_9/09_-_IoT_Connectivity__Part_II.pptx"
      },
      {
        "column": "exercises",
        "name": "Homework and Solutions",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Demo Code",
        //"link": "Contents/module1/IntroductionExerciseSolutions.docx"
      },
      {
        "column": "exercises",
        "name": "Lab Exercise",
        //"link": "Contents/module6/GPIOLabExerciseBasicUserInterface.docx"
      },
      {
        "column": "exercises",
        "name": "Code",
        //"link": "Contents/module6/GPIOLabBasicUIExternalLCD.zip"
      }
    ],

      [
        {
            "column": "modules",
            "name": "Appendix",
            //"link": "Contents/Module_11/11_-_IoT_Security.pptx"
          },
        {
            "column": "exercises",
            "name": "Bill of Materials",
            //"link": "Contents/Module_11/Lab6_resources.zip"
          },
          {
            "column": "exercises",
            "name": "Getting Started",
            "link": "Contents/Appendix/Getting_Started.docx"
          },
          {
            "column": "exercises",
            "name": "References",
            //"link": "Contents/Module_11/Lab6_resources.zip"
          }
        
        ],
  ]
}